"""Orders plugin"""

from flask import Blueprint

from flaschengeist.plugins import Plugin

from . import models

order_bp = Blueprint("orders", __name__)


class OrdersPlugin(Plugin):
    models = models

    def __init__(self, config):
        super().__init__(blueprint=order_bp)

    def install(self):
        from flaschengeist.database import db

        db.create_all()
